- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QGraphicsSceneWheelEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 133 of file qgraphicssceneevent.h.

`#include <qgraphicssceneevent.h>`

Inheritance diagram for QGraphicsSceneWheelEvent:
[legend]

List of all members.

## Public Member Functions
| QGraphicsSceneWheelEvent (Type type=None)
| ~QGraphicsSceneWheelEvent ()
QPointF | pos () const
void | setPos (const QPointF &pos)
QPointF | scenePos () const
void | setScenePos (const QPointF &pos)
QPoint | screenPos () const
void | setScreenPos (const QPoint &pos)
Qt::MouseButtons | buttons () const
void | setButtons (Qt::MouseButtons buttons)
Qt::KeyboardModifiers | modifiers () const
void | setModifiers (Qt::KeyboardModifiers modifiers)
int | delta () const
void | setDelta (int delta)
Qt::Orientation | orientation () const
void | setOrientation (Qt::Orientation orientation)

## Constructor & Destructor Documentation

QGraphicsSceneWheelEvent | ( | Type | type = `None` | ) |

~QGraphicsSceneWheelEvent | ( |  | ) |

## Member Function Documentation

QPointF pos | ( |  | ) | const

Search for all occurrences

void setPos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPointF scenePos | ( |  | ) | const

Search for all occurrences

void setScenePos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPoint screenPos | ( |  | ) | const

Search for all occurrences

void setScreenPos | ( | const QPoint & | pos | ) |

Search for all occurrences

Qt::MouseButtons buttons | ( |  | ) | const

Search for all occurrences

void setButtons | ( | Qt::MouseButtons | buttons | ) |

Search for all occurrences

Qt::KeyboardModifiers modifiers | ( |  | ) | const

Search for all occurrences

void setModifiers | ( | Qt::KeyboardModifiers | modifiers | ) |

Search for all occurrences

int delta | ( |  | ) | const

Search for all occurrences

void setDelta | ( | int | delta | ) |

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void setOrientation | ( | Qt::Orientation | orientation | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgraphicssceneevent.h

QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent
QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent QGraphicsSceneWheelEvent